Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IBayerSharpnessMapSettings Class Reference

Request settings used to configure Bayer sharpness map generation. More...

`#include <BayerSharpnessMap.h>`

Inheritance diagram for Argus::Ext::IBayerSharpnessMapSettings:

List of all members.

## Public Member Functions

virtual void | setBayerSharpnessMapEnable (bool enable)=0
| Enables or disables Bayer sharpness map generation.
virtual bool | getBayerSharpnessMapEnable () const =0

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IBayerSharpnessMapSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Request settings used to configure Bayer sharpness map generation.

Definition at line 53 of file BayerSharpnessMap.h.

## Constructor & Destructor Documentation

Argus::Ext::IBayerSharpnessMapSettings::~IBayerSharpnessMapSettings | ( |  | ) |

inlineprotected

Definition at line 71 of file BayerSharpnessMap.h.

## Member Function Documentation

virtual bool Argus::Ext::IBayerSharpnessMapSettings::getBayerSharpnessMapEnable | ( |  | ) | const

pure virtual

Returns:
  whether or not Bayer sharpness map generation is enabled.

static const InterfaceID& Argus::Ext::IBayerSharpnessMapSettings::id | ( |  | ) |

inlinestatic

Definition at line 56 of file BayerSharpnessMap.h.

virtual void Argus::Ext::IBayerSharpnessMapSettings::setBayerSharpnessMapEnable | ( | bool | enable | ) |

pure virtual

Enables or disables Bayer sharpness map generation.

When enabled, CaptureMetadata returned by completed captures will expose the IBayerSharpnessMap interface.

Parameters:

  [in] | enable | whether or not Bayer sharpness map generation is enabled.

The documentation for this class was generated from the following file:

- include/Argus/Ext/BayerSharpnessMap.h